## ros-melodic-dbw-mkz-can 1.2.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dbw_mkz_can)

find_package(catkin REQUIRED COMPONENTS
  rospy
  roscpp
  nodelet
  std_msgs
  geometry_msgs
  sensor_msgs
  can_msgs
  dataspeed_can_msg_filters
  dbw_mkz_msgs
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/nodelet.cpp
  src/DbwNode.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(${PROJECT_NAME}_dbw_node
  src/node.cpp
)
add_dependencies(${PROJECT_NAME}_dbw_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_dbw_node
  ${PROJECT_NAME}
)
set_target_properties(${PROJECT_NAME}_dbw_node PROPERTIES OUTPUT_NAME dbw_node PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_dbw_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY scripts
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-melodic-dbw-mkz-can (1.2.9-1stretch) stretch; urgency=high

  * Add gear reject enumerations
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 09 Jul 2020 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.8-1stretch) stretch; urgency=high

  * Update firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 20 Feb 2020 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.7-1stretch) stretch; urgency=high

  * Update firmware versions
  * Report NAN for signals that are unavailable/faulted
  * Use fewer function calls to setup message sync
  * Add Lincoln Aviator to list of platforms
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Feb 2020 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.6-1stretch) stretch; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 11 Nov 2019 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.5-1stretch) stretch; urgency=high

  * Add steering wheel buttons in Misc1Report
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Oct 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.4-1stretch) stretch; urgency=high

  * Added argument to enable/disable CAN message filtering on DBW message range
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Sep 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.3-1stretch) stretch; urgency=high

  * Updated firmware versions
  * Updated website maintenance link
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 13 Aug 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.2-1stretch) stretch; urgency=high

  * Extend licensing to each module
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 24 Jul 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.1-1stretch) stretch; urgency=high

  * Updated firmware versions
  * Added support for non-hybrid brake report values
  * Added gear number to throttle info message
  * Added throttle and brake limp-home statuses
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 11 Jul 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.0-1stretch) stretch; urgency=high

  * Added angle/torque steering command modes (not supported on all platforms)
  * Added warnings for unknown and unsupported command types
  * Added support for firmware change that uses SVEL resolution of 4 deg/s
  * Added FORD_C1 platform
  * Added script to estimate the number of wheel counts per killometer
  * Added odometer and battery voltage to fuel level report
  * Added casts to force single precision floating point math
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 03 May 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.1.2-1stretch) stretch; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Mar 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.1.1-1stretch) stretch; urgency=high

  * Updated firmware versions
  * Refactored tcpNoDelay() for subscribers
  * Added missing tests for PlatformVersion.h
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 01 Mar 2019 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.1.0-1stretch) stretch; urgency=high

  * Updated firmware versions
  * Removed all BOO control options and manually implemented auto BOO control for legacy firmware (brake lights)
  * Added BTYPE (brake type) bit
  * Added CMD_DECEL brake command type (only for non-hybrid platforms)
  * Replaced dbw_mkz_twist_controller with dataspeed_ulc_can in dbw.launch
  * Added throttlePercentFromPedal lookup table function and corresponding test
  * Use the ${catkin_EXPORTED_TARGETS} macro for target dependencies
  * Added DriverAssistReport message
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.0.17-1stretch) stretch; urgency=high

  * Updated firmware versions
  * Updated list of platforms
  * Disengage on any fault for brake/throttle/steering (change AND to OR)
  * Added outside air temperature to Misc1Report
  * Latch firmware version on any change (previously only latched once)
  * Changed pedal_luts default from true to false (forward command type by default now)
  * Fixed handling of all the firmware/module requrements for brake command type CMD_TORQUE_RQ
  * Disregard overrides on unused subsystems using the TIMEOUT bit
  * Fixed typo in nodelets.xml of dbw_mkz_can
  * Finished unit tests of PlatformMap
  * Use sign of wheel speeds to set sign of vehicle speed, fixes issue #24
  * Set CXX_STANDARD to C++11 only when necessary
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 27 Oct 2018 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.0.16-1stretch) stretch; urgency=high

  * Force compiler to use C++11
  * Handle version message with a map/database of several platform/module combinations
  * Implemented firmware version requirements for forwarding pedal command type
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 29 Aug 2018 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.0.15-1stretch) stretch; urgency=high

  * Updated firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 21 Aug 2018 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.0.14-1stretch) stretch; urgency=high

  * Updated firmware versions
  * Enabled code coverage testing when built as debug


=== debian/control ===
Source: ros-melodic-dbw-mkz-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-can-msg-filters, ros-melodic-dbw-mkz-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-melodic-dbw-mkz-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-dataspeed-can-usb, ros-melodic-dataspeed-ulc-can, ros-melodic-dbw-mkz-description, ros-melodic-dbw-mkz-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: Drive-by-wire interface to the Dataspeed Inc.
 Lincoln MKZ DBW kit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dbw-mkz-can//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-dbw-mkz-can 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,11 +19,17 @@
 endif()
 
 if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
-  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++17")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
 elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
-  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
-  set(CMAKE_CXX_STANDARD 11)
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++17")
+  set(CMAKE_CXX_STANDARD 17)
+elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "11")
+  message(STATUS "Changing CXX_STANDARD from C++11 to C++17")
+  set(CMAKE_CXX_STANDARD 17)
+elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "14")
+  message(STATUS "Changing CXX_STANDARD from C++14 to C++17")
+  set(CMAKE_CXX_STANDARD 17)
 endif()
 
 catkin_package(

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

# These dependencies are only needed for unit testing
find_package(roslaunch REQUIRED)

# Check all the launch/*.launch files
roslaunch_add_file_check(../launch)

# Unit tests
catkin_add_gtest(${PROJECT_NAME}_test_module_version test_module_version.cpp)
target_link_libraries(${PROJECT_NAME}_test_module_version ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_test_pedal_lut test_pedal_lut.cpp)
target_link_libraries(${PROJECT_NAME}_test_pedal_lut ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_test_platform_map test_platform_map.cpp)
target_link_libraries(${PROJECT_NAME}_test_platform_map ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_test_platform_version test_platform_version.cpp)
target_link_libraries(${PROJECT_NAME}_test_platform_version ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_test_sonar_lut test_sonar_lut.cpp)
target_link_libraries(${PROJECT_NAME}_test_sonar_lut ${catkin_LIBRARIES})

=== debian/changelog ===
ros-melodic-dbw-mkz-can (1.6.0-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Change unsigned vehicle speed to signed vehicle velocity
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.5.2-1bionic) bionic; urgency=high

  * Periodically publish DBW enabled status in addition to latched and on change
  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 May 2022 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.5.1-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.5.0-1bionic) bionic; urgency=high

  * Add Ford Mustang Mach-E
  * Add electric parking brake control
  * Rename TurnSignalCmd to MiscCmd
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 23 Feb 2022 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.4.1-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Add reserved bits
  * Improve printing of license info
  * Add ignition status to ThrottleInfoReport
  * Add user control of alert
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 20 Sep 2021 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.4.0-1bionic) bionic; urgency=high

  * Bump firmware versions
  * C++17 and std::clamp()
  * Remove ROS Kinetic support
  * Populate brake/throttle/steering command values even if enable is false
  * Fix socketcan error frame lock up
  * Contributors: Kevin Hallenbeck, Robert Maupin

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 12 May 2021 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.3.2-1bionic) bionic; urgency=high

  * Bump firmware versions
  * License multiple features individually
  * Add option to use socketcan hardware
  * Add Ford Edge platform
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.3.1-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Jan 2021 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.3.0-1bionic) bionic; urgency=high

  * Add brake pedal actuator brake type
  * Add Ford Ranger platform
  * Add reserved bit to prevent warnings
  * Add battery current measurement
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 18 Nov 2020 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.11-1bionic) bionic; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 17 Aug 2020 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.10-1bionic) bionic; urgency=high

  * Only publish joint states from DbwNode if set to load URDF model
    The joint states messages from DbwNode collide with the joint states published by the Gazebo simulator otherwise.
  * Change names of joints to be different from links
    Gazebo 11 doesn't let joint names and link names be the same, which was allowed in earlier versions
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 05 Aug 2020 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.9-1bionic) bionic; urgency=high

  * Add gear reject enumerations
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 09 Jul 2020 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.8-1bionic) bionic; urgency=high

  * Update firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 20 Feb 2020 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.7-1bionic) bionic; urgency=high

  * Update firmware versions
  * Report NAN for signals that are unavailable/faulted
  * Use fewer function calls to setup message sync
  * Add Lincoln Aviator to list of platforms
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Feb 2020 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.6-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 11 Nov 2019 05:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.5-1bionic) bionic; urgency=high

  * Add steering wheel buttons in Misc1Report
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Oct 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.4-1bionic) bionic; urgency=high

  * Added argument to enable/disable CAN message filtering on DBW message range
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Sep 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.3-1bionic) bionic; urgency=high

  * Updated firmware versions
  * Updated website maintenance link
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 13 Aug 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.2-1bionic) bionic; urgency=high

  * Extend licensing to each module
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 24 Jul 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.1-1bionic) bionic; urgency=high

  * Updated firmware versions
  * Added support for non-hybrid brake report values
  * Added gear number to throttle info message
  * Added throttle and brake limp-home statuses
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 11 Jul 2019 04:00:00 -0000

ros-melodic-dbw-mkz-can (1.2.0-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-melodic-dbw-mkz-can
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-can-msg-filters, ros-melodic-dbw-mkz-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch <!nocheck>, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-melodic-dbw-mkz-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-dataspeed-can-usb, ros-melodic-dataspeed-ulc-can, ros-melodic-dbw-mkz-description, ros-melodic-dbw-mkz-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-socketcan-bridge, ros-melodic-std-msgs
Description: Drive-by-wire interface to the Dataspeed Inc.
 Lincoln MKZ DBW kit

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
